function [Out,bDs,Error]=set_mldivide(N,verbose,varargin)
  % example of 'set_fun' function used in bench
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',3,@isscalar); % matrices d-by-d
  p.addParamValue('n',1,@isscalar); % RHS d-by-n
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.addParamValue('rhstype','amat',@(s) ismember(lower(s),{'amat','mat'}));
  p.parse(varargin{:});
  R=p.Results;
  R.rhstype=lower(R.rhstype);
  Fprintf=R.fprintf;
  d=R.d;n=R.n;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  A=fc_amat.random.randnsympd(N,d);
  if verbose
    Fprintf('# 1st parameter is Symmetric Positive Definite amat:\n');
    Fprintf('# -> amat with (N,m1,n1)=(%d,%d,%d),  size=[%s]\n',N,d,d,num2str(size(A)));
  end
  if verbose, Fprintf('# 2nd parameter is :\n');end
  [B,~,~]=fc_amat.benchs.set_datas(N,verbose,'d',[d,n],'type',R.rhstype,'fprintf',Fprintf,varargin{:});
  B=B{1};
  Error={@(X) max(norm(A*X-B))};
  bDs{1}=fc_bench.bdata('N',N,'%d',10);
  Out={A,B};
end
