function PhysicalNames=read_PhysicalNames(fid,varargin)
  p = inputParser;
  p.addParamValue('verbose',false,@islogical);
  p.parse(varargin{:});
  verbose=p.Results.verbose;
  isOK=fc_oogmsh.msh.find_section(fid,'$PhysicalNames','optional',true,varargin{:});
  if ~isOK,PhysicalNames=[];return;end
  numPhysicalNames=fscanf(fid,'%d',1);
  PhysicalNames=struct('dimension',[],'physicalTag',[],'name',[]);
  PhysicalNames=repmat(PhysicalNames,1,numPhysicalNames);
  for i=1:numPhysicalNames
    text = fgetl ( fid );
    [R,~,~,id]=sscanf(text,'%d',2);
    PhysicalNames(i).dimension=R{1};PhysicalNames(i).physicalTag=R{2};
    PhysicalNames(i).name=text(id+1:end);
  end
  text = fscanf(fid,'%s',1);
  if ( text == -1 ) | ~strcmp(strtok(text),'$EndPhysicalNames') 
    error('No section $PhysicalNames %s',text)
  else
    if verbose,fprintf('Reading $PhysicalNames section seem OK\n');end
  end
end
